#include <stdio.h>
#include "ystring.h" /* for fclose() with mutex with free() */
/*
 * fclose(FILE *fp) without closing fileno(FILE *fp)
 */
int fcloseFILE(FILE *fp){ 
	int fd = fileno(fp);
	fflush(fp);
	if( isWindows() ){
		fp->_file = open("nul",0);
	}else
	fp->_file = -1;
	fclose(fp);
        return fd;
}
